<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('includes/start.php');
require_once ('includes/functions.php');
require_once ('includes/header.php');
include_once ('themes/' . $config['themes'] . '/index.php');

if (empty($_GET['p'])) {
    include_once (BASEDIR . 'includes/info.php');
    include_once (DATADIR . 'main/index_head.dat');
    include_once (DATADIR . 'main/begin.dat');
    include_once (DATADIR . 'main/index.dat');
    include_once (DATADIR . 'main/index_foot.dat');
} else {
    if (empty($_GET['f'])) {
        $_GET['f'] = 'index';
    } 
    if (preg_match('|^[a-z0-9_\-]+$|i', $_GET['p']) && preg_match('|^[a-z0-9_\-]+$|i', $_GET['f'])) {
        if (file_exists('files/' . $_GET['p'] . '/' . $_GET['f'] . '.' . $config['ras'])) {
            include_once ('files/' . $_GET['p'] . '/' . $_GET['f'] . '.' . $config['ras']);
        } else {
            show_error('Ошибка! Файл с данными параметрами не найден!');
        } 
    } else {
        show_error('Ошибка! Недопустимое название страницы!');
    } 

    echo '<img src="' . BASEDIR . 'images/img/act_home.gif" alt="image" /> <a href="' . BASEDIR . 'index.php?' . SID . '">На главную</a>';
} 

include_once ('themes/' . $config['themes'] . '/foot.php');

?>